Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface GenFeatureValueSpec

All Superinterfaces:
  EObject, Notifier, ValueExpression

All Known Implementing Classes:
  GenFeatureValueSpecImpl

public interface GenFeatureValueSpec
extends ValueExpression

A representation of the model object 'Gen Feature Value Spec'. Value specification associated with a specific feature

The following features are supported:

- `Feature`
- `Feature Seq Initializer`

See Also:
  `GMFGenPackage.getGenFeatureValueSpec()`
** Generated **
Model:
  annotation="http://www.eclipse.org/gmf/2005/constraints/meta def='ValueSpec'" annotation="http://www.eclipse.org/gmf/2005/constraints/meta def='type' ocl='feature.ecoreFeature'" annotation="http://www.eclipse.org/gmf/2005/constraints ocl='feature <> null implies feature.ecoreFeature.eContainingClass.isSuperTypeOf(featureSeqInitializer.typeModelFacet.metaClass.ecoreClass)' description='The feature of \'GenFeatureValueSpec\' must be available in \'Meta Class\' of the initialized element'"

Method Summary
`GenFeature` `getFeature()` Returns the value of the 'Feature' reference
`java.lang.String` `getFeatureQualifiedPackageInterfaceName()` Gets the qualified name of the package interface which contains the given feature meta object
`GenFeatureSeqInitializer` `getFeatureSeqInitializer()` Returns the value of the 'Feature Seq Initializer' container reference.
`void` `setFeature(GenFeature value)` Sets the value of the '`Feature`' reference
`void` `setFeatureSeqInitializer(GenFeatureSeqInitializer value)` Sets the value of the '`Feature Seq Initializer`' container reference

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.ValueExpression
`getBody, getLangName, getLanguage, isOCLExpression, setBody, setLanguage`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getFeature

    public GenFeature getFeature()

  Returns the value of the 'Feature' reference. The feature for which this value expression is specified

  Returns:
    the value of the 'Feature' reference.
  See Also:
    `GenFeatureValueSpec.setFeature(GenFeature)`, `GMFGenPackage.getGenFeatureValueSpec_Feature()`
  ** Generated **
  Model:
    required="true" annotation="http://www.eclipse.org/gmf/2005/constraints ocl='feature <> null implies not featureSeqInitializer.initializers->exists(i| i <> self and i.feature = self.feature)' description='The feature is already initialized by another \'GenFeatureValueSpec\' in the sequence'"

### setFeature

    public void setFeature(GenFeature value)

  Sets the value of the '`Feature`' reference.

  Parameters:
    `value` - the new value of the 'Feature' reference.
  See Also:
    `GenFeatureValueSpec.getFeature()`
  ** Generated **

### getFeatureSeqInitializer

    public GenFeatureSeqInitializer getFeatureSeqInitializer()

  Returns the value of the 'Feature Seq Initializer' container reference. It is bidirectional and its opposite is '`Initializers`'.

  If the meaning of the 'Feature Seq Initializer' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Feature Seq Initializer' container reference.
  See Also:
    `GenFeatureValueSpec.setFeatureSeqInitializer(GenFeatureSeqInitializer)`, `GMFGenPackage.getGenFeatureValueSpec_FeatureSeqInitializer()`, `GenFeatureSeqInitializer.getInitializers()`
  ** Generated **
  Model:
    opposite="initializers" required="true"

### setFeatureSeqInitializer

    public void setFeatureSeqInitializer(GenFeatureSeqInitializer value)

  Sets the value of the '`Feature Seq Initializer`' container reference.

  Parameters:
    `value` - the new value of the 'Feature Seq Initializer' container reference.
  See Also:
    `GenFeatureValueSpec.getFeatureSeqInitializer()`
  ** Generated **

### getFeatureQualifiedPackageInterfaceName

    public java.lang.String getFeatureQualifiedPackageInterfaceName()

  Gets the qualified name of the package interface which contains the given feature meta object

  ** Generated **
  Model:
    kind="operation" required="true"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.